Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.gui.util
Class ApplicationFrame

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--uk.ac.man.bioinf.gui.util.ApplicationFrame

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, RootPaneContainer, Serializable, WindowConstants

public class ApplicationFrame
extends JFrame

Provides a JFrame with a menu, a tool bar, a mainwindow and a status bar. The class also provides access to resources.

Version:
  1.0
Author:
  C.Miller
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JFrame
`JFrame.AccessibleJFrame`

Nested classes inherited from class java.awt.Frame
`Frame.AccessibleAWTFrame`

Nested classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ApplicationFrame()`
`ApplicationFrame(String resourceName)` Create an Application frame with the resources specified.

Method Summary
`JButton` | `addButton(String labelName)` add a button with the specified text label.
`JButton` | `addButton(String labelName, String iconName)` add a button with the specified text label.
`JButton` | `addButton(String labelName, String iconName, String tooltipName)` add a button with the specified text label, icon and tooltip.
`JMenu` | `addMenu(String resourceName)` add a menu with the specified text label.
`JMenuItem` | `addMenuItem(String menuName, String menuItemName)` create a menu with the specified text label.
`JMenu` | `addSubMenu(String menuName, String menuItemName)` create a menu with the specified text label.
`JToggleButton` | `addToggleButton(String labelName)` add a button with the specified text label.
`JToggleButton` | `addToggleButton(String labelName, String iconName)` add a button with the specified text label.
`JToggleButton` | `addToggleButton(String labelName, String iconName, String tooltipName)` add a button with the specified text label, icon and tooltip.
`JComponent` | `getContents()`
`PackageResourceAdapter` | `getResourceAdapter()`
`JButton` | `removeButton(String labelName)` remove a menu with the specified text label.
`JMenu` | `removeMenu(String resourceName)` remove a menu with the specified text label.
`JMenuItem` | `removeMenuItem(String menuItemName)` remove a menu item with the specified text label.
`void` | `setContents(JComponent c)`
`void` | `setMenuEnabled(String menuName, boolean enabled)`
`void` | `setMenuItemEnabled(String menuItemName, boolean enabled)`
`void` | `showInitialSplash()`
`void` | `showMessage(String message)`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Constructor Detail

### ApplicationFrame

    public ApplicationFrame()

### ApplicationFrame

    public ApplicationFrame(String resourceName)

  Create an Application frame with the resources specified.
  - will try to get a title for the frame from the property message.appName.title
  - will try to get a URL to show in the initial content pane from helpURL.appName.initialSplash
  - stops window closing with a dialog box - lables this using message.appName.quit and message.appName.quitTitle

Parameters:
  `resourceName` - looks in the package resources.locale. for a properties file

Method Detail

### addMenu

    public JMenu addMenu(String resourceName)

  add a menu with the specified text label.

  Parameters:
    `resourceName` - use the text specified in ApplicationFrame.Menu.

### removeMenu

    public JMenu removeMenu(String resourceName)

  remove a menu with the specified text label.

  Parameters:
    `resourceName` - use the text specified in ApplicationFrame.Menu.

### addMenuItem

    public JMenuItem addMenuItem(String menuName,
                                 String menuItemName)
                          throws IllegalArgumentException

  create a menu with the specified text label.

  Parameters:
    `menuName` - add to the specified menu
    `menuItemName` - use the text specified in ApplicationFrame.MenuItem.
    `IllegalArgumentException`

### removeMenuItem

    public JMenuItem removeMenuItem(String menuItemName)
                             throws IllegalArgumentException

  remove a menu item with the specified text label.

  Parameters:
    `menuItemName` - use the text specified in ApplicationFrame.MenuItem.
    `IllegalArgumentException`

### addSubMenu

    public JMenu addSubMenu(String menuName,
                            String menuItemName)
                     throws IllegalArgumentException

  create a menu with the specified text label.

  Parameters:
    `menuName` - add to the specified menu
    `IllegalArgumentException`

### setMenuEnabled

    public void setMenuEnabled(String menuName,
                               boolean enabled)
                        throws IllegalArgumentException

    `IllegalArgumentException`

### setMenuItemEnabled

    public void setMenuItemEnabled(String menuItemName,
                                   boolean enabled)
                            throws IllegalArgumentException

    `IllegalArgumentException`

### addButton

    public JButton addButton(String labelName)
                      throws IllegalArgumentException

  add a button with the specified text label.

  Parameters:
    `labelName` - use the text specified in ApplicationFrame.Button.label
    `IllegalArgumentException`

### addButton

    public JButton addButton(String labelName,
                             String iconName)
                      throws IllegalArgumentException

  add a button with the specified text label. and icon

  Parameters:
    `labelName` - use the text specified in message..Button.label
    `iconName` - use the image specified in image..Button.label
    `IllegalArgumentException`

### addButton

    public JButton addButton(String labelName,
                             String iconName,
                             String tooltipName)
                      throws IllegalArgumentException

  add a button with the specified text label, icon and tooltip.

  Parameters:
    `labelName` - use the text specified in message..Button.label
    `iconName` - use the image specified in image..Button.label
    `tooltipName` - use the text specified in tooltip..Button.label
    `IllegalArgumentException`

### addToggleButton

    public JToggleButton addToggleButton(String labelName)
                                  throws IllegalArgumentException

  add a button with the specified text label.

  Parameters:
    `labelName` - use the text specified in ApplicationFrame.Button.label
    `IllegalArgumentException`

### addToggleButton

    public JToggleButton addToggleButton(String labelName,
                                         String iconName)
                                  throws IllegalArgumentException

  add a button with the specified text label. and icon

  Parameters:
    `labelName` - use the text specified in message..Button.label
    `iconName` - use the image specified in image..Button.label
    `IllegalArgumentException`

### addToggleButton

    public JToggleButton addToggleButton(String labelName,
                                         String iconName,
                                         String tooltipName)
                                  throws IllegalArgumentException

  add a button with the specified text label, icon and tooltip.

  Parameters:
    `labelName` - use the text specified in message..Button.label
    `iconName` - use the image specified in image..Button.label
    `tooltipName` - use the text specified in tooltip..Button.label
    `IllegalArgumentException`

### removeButton

    public JButton removeButton(String labelName)
                         throws IllegalArgumentException

  remove a menu with the specified text label.

    `IllegalArgumentException`

### showInitialSplash

    public void showInitialSplash()

### getResourceAdapter

    public PackageResourceAdapter getResourceAdapter()

### setContents

    public void setContents(JComponent c)

### getContents

    public JComponent getContents()

### showMessage

    public void showMessage(String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD